Subject: Re: [Bitcoin-development] Revocability with known trusted escrow services?

From: Caleb James DeLisle <[email-masked]>
Date: Fri, 07 Jun 2013 01:46:04 -0400

IMO this story falls somewhere between rose colored glasses and outright trolling.
Whereas LR was a (relatively shady) company, bitcoin is an entire branch of technology
and research, I can't think of any real caselaw in the US with regards to banning a
technology, perhaps the cryptography export regulation and we all know how well that
worked. Furthermore, the non-reversibility of LR is mostly because they didn't want
to deal with mediation while the non-reversibility of bitcoin is technological barrier.

It seems AmericanBanker has a record of hosting articles which urge policy decisions:
  http://www.americanbanker.com/bankthink/governments-must-co-opt-bitcoin-to-avert-disaster-1058380-1.html
that would obviously be of personal benefit to the article's author:
  http://www.clearbit.com/company_management.htm
It is the very job of governments to resist the efforts of lobbyists to line their
pockets at the public expense.

While I don't think significant risk of developed countries actually banning an entire
area of research such as bitcoin, I do suspect that bitcoin's popularity lead to LR's
downfall as it will other companies which allow people to transact anonymously.

The tragedy of bitcoin's irreversibility is that it makes kidnap/ransom schemes
profitable. The relative safety of the first world is largely due to the fact that
until now, there has never been any effective way to steal significant amounts of
money. While this problem is serious I don't think it's intractable. Bitcoin offers
us a modeling tool which like never before allows us to experiment with our
motivations and build something better than even bitcoin is today.

I believe regulators are intelligent people who understand this and would rather
legitimize bitcoin than ban it. If there ever were such a ban, I would be more
concerned for the future of the country imposing it than I would for bitcoin.

Thanks,
Caleb

tl;dr haters gonna hate

On 06/06/2013 06:22 PM, Melvin Carvalho wrote:
> 
> 
> 
> On 6 June 2013 02:19, Peter Vessenes <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     So, this http://www.americanbanker.com/bankthink/the-last-straw-for-bitcoin-1059608-1.html?pg=1  article got posted today, noting that FinCEN thinks irrevocable payments are money laundering tools. 
> 
>     I will hold my thoughts about the net social good of rent-seeking large corporations taking money from consumers over fraudulent reversals. Actually, I won't, I just said it.
> 
>     At any rate, it got me thinking, can we layer on revocability somehow without any protocol change, as an opt-in?
> 
>     My initial scheme is a trusted (hah) escrow service that issues time promises for signing. If it doesn't receive a cancel message, it will sign at the end of the time. 
> 
>     The addresses would be listed by the escrow service, or in an open registry, so you could see if you were going to have a delay period when you saw a transaction go out.
> 
>     This seems sort of poor to me, it imagines that mythical thing, a trusted escrow service, and is vulnerable to griefing, but I thought I'd see if some of the brighter minds than me can come up with a layer-on approach here.
> 
>     When I think about it, I can imagine that I would put a good number of my coins in a one day reversible system, because I would have warning if someone wanted to try and spend them, and could do something about it. I'm not sure if it gets me anything over a standard escrow arrangement, though.
> 
> 
> Also see satoshi's comments on this, though it may be restating what others have said:
> 
> https://bitcointalk.org/index.php?topic=750.0
> 
> "Here's an outline of the kind of escrow transaction that's possible in software.  This is not implemented and I probably won't have time to implement it soon, but just to let you know what's possible.
> 
> The basic escrow: The buyer commits a payment to escrow. The seller receives a transaction with the money in escrow, but he can't spend it until the buyer unlocks it. The buyer can release the payment at any time after that, which could be never. This does not allow the buyer to take the money back, but it does give him the option to burn the money out of spite by never releasing it. The seller has the option to release the money back to the buyer.
> 
> While this system does not guarantee the parties against loss, it takes the profit out of cheating.
> 
> If the seller doesn't send the goods, he doesn't get paid. The buyer would still be out the money, but at least the seller has no monetary motivation to stiff him.
> 
> The buyer can't benefit by failing to pay. He can't get the escrow money back. He can't fail to pay due to lack of funds. The seller can see that the funds are committed to his key and can't be sent to anyone else.
> 
> Now, an economist would say that a fraudulent seller could start negotiating, such as "release the money and I'll give you half of it back", but at that point, there would be so little trust and so much spite that negotiation is unlikely. Why on earth would the fraudster keep his word and send you half if he's already breaking his word to steal it? I think for modest amounts, almost everyone would refuse on principle alone."
>  
> 
> 
>     Peter
> 
>     -- 
> 
>     --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 
>     CoinLab LogoPETER VESSENES 
>     CEO
> 
>     [email-masked] <mailto:[email-masked]> * /  206.486.6856 <tel:206.486.6856>  / SKYPE: vessenes 
>     71 COLUMBIA ST / SUITE 300  /  SEATTLE, WA 98104
> 
> 
>     ------------------------------------------------------------------------------
>     How ServiceNow helps IT people transform IT departments:
>     1. A cloud service to automate IT design, transition and operations
>     2. Dashboards that offer high-level views of enterprise services
>     3. A single system of record for all IT processes
>     http://p.sf.net/sfu/servicenow-d2d-j
>     _______________________________________________
>     Bitcoin-development mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
> 
> 
> ------------------------------------------------------------------------------
> How ServiceNow helps IT people transform IT departments:
> 1. A cloud service to automate IT design, transition and operations
> 2. Dashboards that offer high-level views of enterprise services
> 3. A single system of record for all IT processes
> http://p.sf.net/sfu/servicenow-d2d-j
> 
> 
> 
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>